# Generated by Django 5.0.4 on 2024-05-15 18:28

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('devices', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='MemoryMap',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('instant_measurements', models.JSONField()),
                ('cumulative_measurements', models.JSONField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('model', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='memory_map', to='devices.transductormodel')),
            ],
            options={
                'verbose_name_plural': 'Memory Maps',
            },
        ),
    ]
